var _act = (function($ , list){
    var src = list[list.length -1].src;
    return $.trim(src.substring(src.indexOf("?") + 1 , src.length));
})(jQuery , document.getElementsByTagName('script'));

// SO_READY
$(function(){
    //SO_URL
    if(_act == 'url'){
            var vstr = $('#v_url' , W.document).val();
            _number = vstr.split("\n").length;
            $('#v_url').val(vstr);
            // submit
            $('#url_sbtn').bind('click' , function(){
                 if($.trim($('#v_url').val()) == ''){
                    showmsg('请输入播放地址');
                    showerr($('#v_url'));
                 }else{
                    var temp = $('#v_url').val().split("\n") , out = [];
                    for(var i=0 ; j = temp[i] ; i++){
                        temp[i] = temp[i].replace(/\s+/g , '');
                        if(/^.+\#.+$/.exec(temp[i])){
                            out[i] = ($.trim(temp[i]));
                        }
                    }
                    if(out.length > 0){
                        $('#v_url' , W.document).val(out.join("\n"));
                    }
                    api.close();
                 }
            });
    }// EO_URL


    // SO_MISC
    if(_act == 'misc'){
        // top
        $('#v_top').val($('#v_top' , W.document).val());

        // score
        $('#v_score').val($('#v_score' , W.document).val());

        // tread
        $('#v_tread').val($('#v_tread' , W.document).val());
        
        // plays
        $('#v_plays').val($('#v_plays' , W.document).val());

        // views
        $('#v_views').val($('#v_views' , W.document).val());

        // top status
        $('#v_rec').attr('checked' , $('#v_rec' , W.document).val() == '1' ? true : false);

        // mosaics
        $('#v_mosaics').attr('checked' , $('#v_mosaics' , W.document).val() == '1' ? true : false);

        // misc save btn click
        $('#misc_savebtn').bind('click' , function(){
            // top
            if(!/^\d+$/.exec($.trim($('#v_top').val()))){
                $('#v_top' , W.document).val(0);
            }else{
                $('#v_top' , W.document).val(Number($.trim($('#v_top').val())));
            }
            
            // tread
            if(!/^\d+$/.exec($.trim($('#v_tread').val()))){
                $('#v_tread' , W.document).val(0);
            }else{
                $('#v_tread' , W.document).val(Number($.trim($('#v_tread').val())));
            }
            
            // plays
            if(!/^\d+$/.exec($.trim($('#v_plays').val()))){
                $('#v_plays' , W.document).val(0);
            }else{
                $('#v_plays' , W.document).val(Number($.trim($('#v_plays').val())));
            }
            
            // views
            if(!/^\d+$/.exec($.trim($('#v_views').val()))){
                $('#v_views' , W.document).val(0);
            }else{
                $('#v_views' , W.document).val(Number($.trim($('#v_views').val())));
            }
            
            // score
            if(!/^\d+$/.exec($.trim($('#v_score').val()))){
                $('#v_score' , W.document).val(0);
            }else{
                var i = Number($.trim($('#v_score').val()));
                $('#v_score' , W.document).val(i > 10 ? 10 : i);
            }

            // rec 
            if($('#v_rec').attr('checked')){
                $('#v_rec' , W.document).val(1);
            }else{
                $('#v_rec' , W.document).val(0);
            }
            
            // mosaics 
            if($('#v_mosaics').attr('checked')){
                $('#v_mosaics' , W.document).val(1);
            }else{
                $('#v_mosaics' , W.document).val(0);
            }
            api.close();
        });

    }//EO_MISC

    if(_act == 'act'){
        // get tag
        $('.get-tag').bind('click' , function(){
            var url    = $(this).attr('ajaxurl');
            var title  = $(this).attr('title');
            W.$.dialog({ 
                id          : url ,
                title       : title, 
                lock        : true,
                content     : 'url:' + url,
                cache       : true
            });
        });

        $('#v_status').find('option').each(function(){
            if($(this).val() == $('#v_status' , W.document).val()){
                $(this).attr('selected' , true);
            }
        });

        $('#v_lang').find('option').each(function(){
            if($(this).val() == $('#v_lang' , W.document).val()){
                $(this).attr('selected' , true);
            }
        });

        $('#v_director').val($('#v_director' , W.document).val());
        $('#v_release').val($('#v_release'   , W.document).val());
        $('#v_actor').val($('#v_actor'       , W.document).val());

        $('.quick-put').bind('click' , function(){
            $('#' + $(this).attr('targetid')).val($(this).text());
        });
        
        // submit button
        $('#act_sbtn').bind('click' , function(){
            if($('#v_status').val() == ''){
                showerr($('#v_status'));
                showmsg('请选择视频状态');
                return false;
            }
            // v_release
            else if(!/^\d{4}$/.exec($('#v_release').val())){
                showerr($('#v_release'));
                showmsg('请输入上映时间');
                return false;
            }
            // ok
            else{
                $('#v_lang'     , W.document).val($('#v_lang').val());
                $('#v_actor'    , W.document).val($('#v_actor').val());
                $('#v_status'   , W.document).val($('#v_status' ).val());
                $('#v_release'  , W.document).val($('#v_release').val());
                $('#v_director' , W.document).val($('#v_director').val());
                api.close();
            }
        });
    }
    var onajax = false;
    //SO_SEO
    if(_act == 'seo'){

        $('#v_key').val($('#v_key'     , W.document).val());
        $('#v_desc').val($('#v_desc'   , W.document).val());
        $('#v_sname').val($('#v_sname' , W.document).val());

        var tplv = $('#v_tpl' , W.document).val();
        $('#v_tpl').find('option').each(function(){
            if($(this).val() == tplv){
                $(this).attr('selected' , true);
            }
        });

        $('#sbtn').bind('click' , function(){
            $('#v_tpl'   , W.document).val($('#v_tpl').val());
            $('#v_key'   , W.document).val($('#v_key').val());
            $('#v_desc'  , W.document).val($('#v_desc').val());
            $('#v_sname' , W.document).val($('#v_sname').val());
            api.close();
        });

        $('.getpy').bind('click' , function(){
            var vname = $('#v_name' , W.document).val();
            if(vname == ''){
                showmsg('请先输入视频名称!');
            }else{
                if(!onajax){
                    onajax = true;
                    var url = $(this).attr('ajaxurl') ,tagid = $(this).attr('targetid');
                    $.post(url , {cn : vname} , function(d){
                        $('#' + tagid).val(d);
                        onajax = false;
                    });
                }else{
                    showmsg('操作中...');
                }
            }
        });
    }//EO_SEO

    // SO_INFO
    if(_act == 'info'){
        
        $('#v_info').val($('#v_info'  , W.document).val());

        // submit button
        $('#info_sbtn').bind('click' , function(){
            $('#v_info'   , W.document).val($('#v_info').val());
            api.close();
        });

    }//EO_INFO

}); //EO_READY
2013/6/13
function showmsg(msg){
    $('.error-tips').html(msg);
}

// 显示错误
var showerr = function (obj) {
    clearTimeout(showerr.timer);
    var num = 0;
    var fn = function () {
        showerr.timer = setTimeout(function () {
            if(obj.hasClass('input-error')){
                obj.removeClass('input-error');
            }else{
                obj.addClass('input-error');
            }
            if (num === 6) {
                obj.removeClass('input-error');
            } else {
                fn(num ++);
            };
        }, 150);
    };
    fn();
};

// 格式化剧集数据
function urlformat(id , str){
    var ret = '';
    if( $.trim(str) != ''){
        str = $.trim(str).split("\n");
        for(var i = 0; i < str.length ; i++){
            ret += "第" + (i + 1) + "集#" + $.trim(str[i]) + "\n";
            _number = i + 1;
        }
        $('#' + id).val(ret);
    }
}